@import url("https://fonts.googleapis.com/css2?family=Arimo:ital,wght@0,400..700;1,400..700&display=swap");

:root {
  --dark-blue: #0f172b;
  --secondary: #8ca2bb;
  --tertiary: #62748e;
  --box-background: #f8fafc;
  --box-border: #e0e8f1;
  --jaune:#ffba00

}


body {
  margin: 0;
  padding: 0;
  color: var(--dark-blue);
  text-align: center;
  font-family: "Arimo", sans-serif;
  font-style: normal;
  font-weight: 400;
  overflow: hidden;
  font-size: 21px; 
  -webkit-user-select: none;
  user-select: none;
}
h1 {
  color: var(--dark-blue);
  margin-block: 10px;
  font-weight: 400;
}
h2 {
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 28px; /* 155.556% */
  letter-spacing: 0.9px;
  text-transform: uppercase;
}
h3 {
  text-transform: uppercase;
  font-weight: 100;
  font-size: 20px;
  color: var(--secondary);
}
span {
  color: var(--tertiary);
}
#content {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  margin: 0;
}
#error {
  color: red;
  font-size: 15px;
}

.box {
  position: absolute;
  left: 50%;
  top: 50%;
  width: 30%;

  height: fit-content;
  gap: 32px;
  padding: 25px;
  transform: translate(-50%, -50%);
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  border-radius: 16px;
  border: 0.8px solid var(--box-border);
  background: var(--box-background);
  input {
    box-sizing: border-box;
    width: 100%;
    border-radius: 10px;
    border: 0.8px solid var(--box-border);
    background: #fff;
    padding: 16px 10px;
    color: grey;
    font-size: 19px;
  }

  .linkToCopy {
    box-sizing: border-box;
    width: 100%;
    border-radius: 10px;
    border: 0.8px solid var(--box-border);
    background: #fff;
    padding: 16px 10px;
    color: grey;
    font-size: 19px;
    cursor: pointer;
  }
}

#error-container { 
 position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    height: fit-content;
    width: 31%;
    color: white;
    display: flex;
    flex-direction: column;
    align-items: start;
    background: #ff00002b;
    align-self: center;
    justify-content: space-around;
    padding: 36px 32px;
    box-sizing: border-box;
    border: 4px solid #f1a1a1;
    border-radius: 24px;
    background: linear-gradient(135deg, #2b0f0f 0%, #5a392d 100%);
    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -4px rgba(0, 0, 0, 0.1); > * {
    margin: 0;
  }
  h1 {
    color: white;
    align-self: center;
  }
  p,
  li {
    color: rgba(255, 255, 255, 0.8);
    color: color(display-p3 1 0.9999 0.9999 / 0.8);
    font-family: Arimo;

    font-size: 17px;
    text-align: start;
    font-style: normal;
    font-weight: 400;
    line-height: 26px; /* 200% */
  }
  li {
    text-align: start;
  }
  .mainError {
    border-radius: 7px;
    border: 1px solid rgba(255, 255, 255, 0.67);
    background: rgba(255, 0, 0, 0.31);
    padding: 10px 20px;
    width: 100%;
    box-sizing: border-box;
    color: white;
  }
  button {
    align-self: center;
  }
}
